//
//  TransactionError.m
//  pay
//
//  Created by Jasmin Suljic on 21/12/16.
//  Copyright © 2016 Webteh.hr. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "TransactionError.h"
#import "InputResolver.h"

@implementation TransactionError

-(id) init:(int)errorId{
    _errorId = errorId;
    return [self init];
}

-(NSString *) description{
    return [NSString stringWithFormat:@"errorId: %d", _errorId];
}

+(TransactionError *) fromString:(NSString *)input{
    NSDictionary *data = [InputResolver decode:input];
    return [[TransactionError alloc] init:[[data valueForKey:@"error_id"] intValue]];
}

@end
