//
//  TransactionSuccess.h
//  pay
//
//  Created by Jasmin Suljic on 21/12/16.
//  Copyright © 2016 Webteh.hr. All rights reserved.
//

@interface TransactionSuccess : NSObject

@property int transactionId;
@property(strong,nonatomic) NSString *cardType;
@property(strong,nonatomic) NSString *pmAlias;
@property(strong,nonatomic) NSString *email;
@property(strong,nonatomic) NSString *fullName;
@property(strong,nonatomic) NSString *responseCode;
@property(strong,nonatomic) NSString *approvalCode;
@property(strong,nonatomic) NSString *status;
@property(strong,nonatomic) NSString *merchantId;
@property(strong,nonatomic) NSString *maskedPan;
@property(strong,nonatomic) NSString *responseMessage;
@property float amount;

-(id) init: (int) transactionId
  cardType: (NSString *) cardType
   pmAlias: (NSString *) pmAlias
     email: (NSString *) email
  fullName: (NSString *) fullName
responseCode: (NSString *) responseCode
approvalCode: (NSString *) approvalCode
    status: (NSString *) status
merchantId: (NSString *) merchantId;

- (NSString *)description;

+ (TransactionSuccess *) fromString:(NSString *) input;
+ (TransactionSuccess *) fromJson:(NSDictionary *) data;
+(NSString *) nilOrValue: (NSString *) val;
@end
