//
//  TransactionErrorDetailed.m
//  pay
//
//  Created by Jasmin Suljic on 22/12/16.
//  Copyright © 2016 Webteh.hr. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "TransactionErrorDetailed.h"

@implementation TransactionErrorDetailed

-(id) init:(NSArray *)errors{
    self.errors = errors;
    return [self init];
}

-(NSString *) description{
    return [NSString stringWithFormat:@"errors: %@", _errors];
}

+(TransactionErrorDetailed *) fromJson:(NSDictionary *)jsonDict{
    
    if (!jsonDict) {
        return nil;
    }else{
        return [[TransactionErrorDetailed alloc] init:[jsonDict valueForKey:@"errors"]];
    }
}

@end
